slepc-3.10.1 2018-10-23
Report Typos and Errors

# MFNSetOperator

Sets the matrix for which the matrix function is to be computed.

### Synopsis

    #include "slepcmfn.h"
    PetscErrorCode MFNSetOperator(MFN mfn,Mat A)

Collective on MFN and Mat

### Input Parameters

| mfn | - the matrix function context
| A | - the problem matrix

### Notes

It must be called before MFNSetUp(). If it is called again after MFNSetUp() then the MFN object is reset.

### See Also

MFNSolve(), MFNSetUp(), MFNReset()

Location: src/mfn/interface/mfnsetup.c
Index of all MFN routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/eps/examples/tutorials/ex36.c.html
src/mfn/examples/tutorials/ex23.c.html
src/mfn/examples/tutorials/ex26.c.html
src/mfn/examples/tutorials/ex37.c.html
src/mfn/examples/tutorials/ex39.c.html
src/mfn/examples/tutorials/ex23f90.F90.html